# std::scoped_allocator_adaptor::deallocate

From cppreference.com
< cpp‎ | memory‎ | scoped allocator adaptor

Defined in header `<scoped_allocator>` |  |
void deallocate( pointer p, size_type n ); |  | (since C++11)

Uses the outer allocator to deallocate the storage referenced by `p`, by calling std::allocator_traits<OuterAlloc>::deallocate(outer_allocator(), p, n)

### Parameters

p | - | pointer to the previously allocated memory
n | - | the number of objects for which the memory was allocated

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### See also

deallocate | deallocates storage (public member function of `std::allocator`)
deallocate [static] | deallocates storage using the allocator (public static member function of `std::allocator_traits`)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/scoped_allocator_adaptor/deallocate&oldid=91503"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template